## knot 2.6.5

=== debian/changelog ===
knot (2.6.5-3) unstable; urgency=medium

  * accept suggestions from the Multiarch hinter
  * d/tests/control: rely on ca-certificates to validate the
    DNS-over-TLS cert

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 25 Feb 2018 15:49:46 -0800

knot (2.6.5-2) unstable; urgency=medium

  * re-ship /usr/lib/$(DEB_HOST_MULTIARCH)/knot" (Closes: #891319)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 25 Feb 2018 10:17:49 -0800

knot (2.6.5-1) unstable; urgency=medium

  * new upstream release

  [ Daniel Salzman ]
  * Update uploaders and dependencies in the control file
  * Downgrade 'Recommends' to 'Suggests' for systemd
  * Update upstream signing key

  [ Daniel Kahn Gillmor ]
  * wrap-and-sort -ast
  * add myself to uploaders
  * move to debhelper 11
  * Standards-Version: 4.1.3 (no changes needed)
  * build-depend on python3-sphinx instead of python-sphinx
  * d/gbp.conf: clean up, use DEP-14
  * dh11: apply --fail-missing only to dh_missing
  * remove doc/modules symlink on clean
  * Use python3 instead of python2 for helper functions
  * use python3 for pykeymgr
  * move knot from python 2 to python 3
  * Move python3-lmdb to Recommends
  * d/TODO: note future debian packaging work
  * knot-doc: use system jquery and underscore javascript
  * include upstream VCS in git history
  * d/control: add Rules-Requires-Root: no
  * d/changelog: strip trailing whitespace
  * ship upstream ChangeLog
  * d/copyright: drop hat-trie, removed upstream
  * d/*.NEWS: stop using asterisks
  * stop declaring unnecessary dirs
  * stop shipping /usr/lib/$(DEB_HOST_MULTIARCH)/knot
  * add doc-base entry for knot-doc
  * d/gbp.conf: improve cleanup during import-orig
  * fix spelling errors in manpages
  * info: fix direntry and category
  * add really simple autopkgtest

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 22 Feb 2018 23:38:33 -0800

knot (2.6.4-1) unstable; urgency=medium

  * Update Vcs-* links to salsa.d.o
  * New upstream version 2.6.4

 -- Ondřej Surý <ondrej@debian.org>  Thu, 04 Jan 2018 15:02:46 +0000

knot (2.6.3-1) unstable; urgency=medium

  * New upstream version 2.6.3

 -- Ondřej Surý <ondrej@debian.org>  Fri, 24 Nov 2017 15:33:43 +0000

knot (2.6.1-2) unstable; urgency=medium

  * Add Breaks/Replaces for libdnssec5/libknot7 to remedy botched 2.6.0-1
    upload (Closes: #881638)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 13 Nov 2017 19:58:35 +0000

knot (2.6.1-1) unstable; urgency=medium

  * New upstream version 2.6.1
  * Remove upstream patch for disabling TCP Fastopen

 -- Ondřej Surý <ondrej@debian.org>  Sun, 12 Nov 2017 03:11:26 +0000

knot (2.6.0-3) unstable; urgency=medium

  * kdig: disable TCP Fastopen by default as it breaks TLS connection
    (Closes: #879079)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 19 Oct 2017 08:22:18 +0000

knot (2.6.0-2) unstable; urgency=medium

  [ John Bond ]
  * fix get_kasp and get_user to support unquoted ipv6 addresses

 -- Ondřej Surý <ondrej@debian.org>  Thu, 05 Oct 2017 13:08:26 +0000

knot (2.6.0-1) unstable; urgency=medium

  * New upstream version 2.6.0
  * Enable strict symbols checking
  * Bump libknot 6->7 and libdnssec 4->5 SONAMEs and update symbols files

 -- Ondřej Surý <ondrej@debian.org>  Fri, 29 Sep 2017 19:46:41 +0200

knot (2.5.4-2) unstable; urgency=medium

  * Drop conflicting links to dig, nsupdate and host (Closes: #741645)
  * Build-Depend on latexmk (Closes: #872203)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 18 Sep 2017 07:11:39 +0200

knot (2.5.4-1) unstable; urgency=medium

  * New upstream version 2.5.4

 -- Ondřej Surý <ondrej@debian.org>  Fri, 01 Sep 2017 09:03:02 +0200
