## knot 2.7.2

=== debian/changelog ===
knot (2.7.2-2) unstable; urgency=medium

  * d/rules: try moving DEB_HOST_ARCH check for -latomic
  * mips and powerpc both appear to build fine without -latomic

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 29 Aug 2018 16:07:02 -0400

knot (2.7.2-1) unstable; urgency=medium

  * new upstream release
  * try to fix up architecture selection

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 29 Aug 2018 10:34:56 -0400

knot (2.7.1-3) unstable; urgency=medium

  [ Daniel Salzman ]
  * remove obsolete dependency libjansson-dev
  * remove obsolete --with-bash-completions

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 27 Aug 2018 19:18:20 -0400

knot (2.7.1-2) unstable; urgency=medium

  * Standards-Version: bump to 4.2.1 (no changes needed)
  * add -latomic to riscv64 arch as well

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 27 Aug 2018 19:06:08 -0400

knot (2.7.1-1) unstable; urgency=medium

  * new upstream release
  * SONAME bumps: move to libknot8, libdnssec6, and libzscanner2
  * adopted pykeymgr from upstream, renaming to
    /usr/lib/knot/kasp_json2lmdb
  * ship manpages with dh_installman
  * kjournalprint is now a shipped as a system administration utility
  * avoid more autogened files on package import
  * drop THANKS, no longer shipped upstream
  * update symbols files
  * Standards-Version: bump to 4.2.0 (no changes needed)
  * clean up kdns-utils description
  * added libcap-ng to build-deps
  * move to libidn2
  * d/copyright: correct license of TAP sources
  * added build-dep on libmaxminddb-dev for GeoIP module
  * Only conditionally add -latomic based on the platform
  * record notes about dynamic modules instead of static modules

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 24 Aug 2018 18:02:44 -0400

knot (2.6.8-2) unstable; urgency=medium

  * d/knot.NEWS: fix spelling (thanks, Lintian!)
  * refresh patches
  * Standards-Version: bump to 4.1.5 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 10 Jul 2018 16:14:48 -0400

knot (2.6.8-1) unstable; urgency=medium

  * New upstream version 2.6.8

 -- Daniel Salzman <daniel.salzman@nic.cz>  Tue, 10 Jul 2018 16:23:19 +0200

knot (2.6.7-2) unstable; urgency=medium

  * use knot@packages.debian.org as Maintainer (Closes: #899825)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 24 May 2018 16:00:33 -0400

knot (2.6.7-1) unstable; urgency=medium

  * New upstream version 2.6.7

 -- Daniel Salzman <daniel.salzman@nic.cz>  Thu, 17 May 2018 13:18:22 +0200

knot (2.6.6-2) unstable; urgency=medium

  [ Daniel Salzman ]
  * Remove already included patches
  * Add new symbol to libknot7.symbols
  * Update changelog for 2.6.6-1 release

  [ Daniel Kahn Gillmor ]
  * standards-version: bump to 4.1.4 (no changes needed)
  * clean up libknot7.symbols
  * prepare debian release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 23 Apr 2018 02:07:36 -0400
