=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: knot
 Section: net
 Priority: optional
-Maintainer: Debian DNS Packaging <pkg-dns-devel@lists.alioth.debian.org>
+Maintainer: knot packagers <knot@packages.debian.org>
 Uploaders:
  Ondřej Surý <ondrej@debian.org>,
  Daniel Salzman <daniel.salzman@nic.cz>,
@@ -17,18 +17,20 @@
 Build-Depends:
  debhelper (>= 11~),
  latexmk,
+ libcap-ng-dev,
  libedit-dev,
  libfstrm-dev,
  libgnutls28-dev,
- libidn11-dev,
+ libidn2-dev,
  liblmdb-dev,
+ libmaxminddb-dev,
  libprotobuf-c-dev,
  libsystemd-dev [linux-any] | libsystemd-daemon-dev [linux-any],
  libsystemd-dev [linux-any] | libsystemd-journal-dev [linux-any],
  liburcu-dev (>= 0.4),
  pkg-config,
  protobuf-c-compiler,
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Homepage: https://www.knot-dns.cz/
 Vcs-Browser: https://salsa.debian.org/dns-team/knot-dns
 Vcs-Git: https://salsa.debian.org/dns-team/knot-dns.git
@@ -38,9 +40,9 @@
 Architecture: any
 Depends:
  adduser,
- libdnssec5 (= ${binary:Version}),
- libknot7 (= ${binary:Version}),
- libzscanner1 (= ${binary:Version}),
+ libdnssec6 (= ${binary:Version}),
+ libknot8 (= ${binary:Version}),
+ libzscanner2 (= ${binary:Version}),
  lsb-base (>= 3.0-6),
  python3,
  python3-yaml,
@@ -58,7 +60,7 @@
  registry and hence is well suited to run anything from the root
  zone, the top-level domain, to many smaller standard domain names.
 
-Package: libknot7
+Package: libknot8
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -82,7 +84,7 @@
  This package provides libknot shared library used by Knot DNS and
  Knot Resolver.
 
-Package: libzscanner1
+Package: libzscanner2
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -106,7 +108,7 @@
  This package provides a fast zone parser shared library used by Knot
  DNS and Knot Resolver.
 
-Package: libdnssec5
+Package: libdnssec6
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -134,11 +136,10 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libdnssec5 (= ${binary:Version}),
+ libdnssec6 (= ${binary:Version}),
  libgnutls28-dev,
- libjansson-dev,
- libknot7 (= ${binary:Version}),
- libzscanner1 (= ${binary:Version}),
+ libknot8 (= ${binary:Version}),
+ libzscanner2 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Section: libdevel
@@ -160,9 +161,9 @@
 Package: knot-dnsutils
 Architecture: any
 Depends:
- libdnssec5 (= ${binary:Version}),
- libknot7 (= ${binary:Version}),
- libzscanner1 (= ${binary:Version}),
+ libdnssec6 (= ${binary:Version}),
+ libknot8 (= ${binary:Version}),
+ libzscanner2 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: Clients provided with Knot DNS (kdig, knslookup, knsupdate)
@@ -176,21 +177,21 @@
  This package delivers various client programs related to DNS that are
  derived from the Knot DNS source tree.
  .
-  - [k]dig - query the DNS in various ways
-  - [k]nsupdate - perform dynamic updates (See RFC2136)
+  - kdig - query the DNS in various ways
+  - knsupdate - perform dynamic updates (See RFC2136)
  .
  Those clients were designed to be 1:1 compatible with BIND dnsutils,
  but they provide some enhancements, which are documented in respective
  manpages.
  .
- WARNING: [k]nslookup is not provided as it is considered obsolete.
+ WARNING: knslookup is not provided as it is considered obsolete.
 
 Package: knot-host
 Architecture: any
 Depends:
- libdnssec5 (= ${binary:Version}),
- libknot7 (= ${binary:Version}),
- libzscanner1 (= ${binary:Version}),
+ libdnssec6 (= ${binary:Version}),
+ libknot8 (= ${binary:Version}),
+ libzscanner2 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: Version of 'host' bundled with Knot DNS
