=== debian/rules ===
--- 
+++ 
@@ -1,15 +1,14 @@
 #!/usr/bin/make -f
-# -*- makefile -*-
 
-# Uncomment this to turn on verbose mode.
-# export DH_VERBOSE=1
-
-# To enable all, uncomment following line
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -DNDEBUG
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -latomic
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 export DPKG_GENSYMBOLS_CHECK_LEVEL := 4
+
+ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),riscv64))
+  export DEB_LDFLAGS_MAINT_APPEND += -latomic
+endif
 
 include /usr/share/dpkg/default.mk
 
@@ -35,6 +34,11 @@
 	dh $@ --dbgsym-migration='knot-dbg (<< 2.2.0-2~)' --exclude=.la --exclude=example.com.zone
 
 override_dh_auto_configure:
+	echo confirming architecture...
+	echo 'arch:' $(DEB_HOST_ARCH)
+	echo 'filtered arch:' $(filter $(DEB_HOST_ARCH),mips powerpc riscv64)
+	echo 'DEB_LDFLAGS_MAINT_APPEND:' $(DEB_LDFLAGS_MAINT_APPEND)
+	echo done
 	dh_auto_configure -- \
 	  --sysconfdir=/etc \
 	  --localstatedir=/var/lib \
@@ -45,7 +49,6 @@
 	  --enable-systemd=auto \
 	  --enable-dnstap \
 	  --with-module-dnstap=yes \
-	  --with-bash-completions \
 	  $(RECVMMSG) \
 	  $(FASTPARSER) \
 	  --disable-silent-rules
