## knot 2.7.4

=== debian/changelog ===
knot (2.7.4-1) unstable; urgency=medium

  * new upstream release
  * drop patch applied upstream
  * d/upstream/signing-key.asc: minimize OpenPGP certificate

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 14 Nov 2018 01:16:27 -0500

knot (2.7.3-3) unstable; urgency=medium

  * update build-deps and autopkgtest deps

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 08 Nov 2018 08:39:43 +0700

knot (2.7.3-2) unstable; urgency=medium

  * postinst: use runuser instead of su for safety and simplicity
  * fix get_kaspdb and test it against shipped config (Closes: #912210)
  * added Build-Depends-Package: libknot-dev to symbols files
  * cleaner diffs: put dh args on separate lines
  * added authoritative nameserver autopkgtest
  * Avoid including git version in debian packages
  * fix broken python
  * fix up get_user
  * autopkgtest: test upgrade/conversion tooling

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 07 Nov 2018 22:55:37 +0700

knot (2.7.3-1) unstable; urgency=medium

  * new upstream release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 15 Oct 2018 17:21:51 -0400
