=== debian/control ===
--- 
+++ 
@@ -30,6 +30,7 @@
  liburcu-dev (>= 0.4),
  pkg-config,
  protobuf-c-compiler,
+ python3-yaml <!nocheck>,
 Standards-Version: 4.2.1
 Homepage: https://www.knot-dns.cz/
 Vcs-Browser: https://salsa.debian.org/dns-team/knot-dns
