=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,9 @@
 endif
 
 %:
-	dh $@ --dbgsym-migration='knot-dbg (<< 2.2.0-2~)' --exclude=.la --exclude=example.com.zone
+	dh $@ \
+	 --dbgsym-migration='knot-dbg (<< 2.2.0-2~)' \
+	 --exclude=.la --exclude=example.com.zone
 
 override_dh_auto_configure:
 	echo confirming architecture...
@@ -68,7 +70,12 @@
 
 override_dh_auto_test-indep:
 override_dh_auto_test-arch:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	$(RUN_TEST) dh_auto_test
+	$(MAKE) -C samples knot.sample.conf
+	debian/get_kaspdb samples/knot.sample.conf
+	[ $$(debian/get_user samples/knot.sample.conf) = knot ]
+endif
 
 override_dh_installdirs-arch:
 	dh_installdirs --arch --package=knot /usr/lib/$(DEB_HOST_MULTIARCH)/knot
