## knot 2.7.6

=== debian/changelog ===
knot (2.7.6-2) unstable; urgency=medium

  * add libsofthsm2 when testing for libdnssec/test_keystore_pkcs11
  * Check fine-grained timestamps on zonefiles.
  * Correct documentation about key formats
  * Standards-Version: bump to 4.3.0 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 22 Feb 2019 16:51:08 -0500

knot (2.7.6-1) unstable; urgency=medium

  * new upstream release

 -- Ondřej Surý <ondrej@debian.org>  Fri, 08 Feb 2019 12:53:57 +0000
