=== debian/control ===
--- 
+++ 
@@ -25,13 +25,14 @@
  liblmdb-dev,
  libmaxminddb-dev,
  libprotobuf-c-dev,
+ libsofthsm2 <!nocheck>,
  libsystemd-dev [linux-any] | libsystemd-daemon-dev [linux-any],
  libsystemd-dev [linux-any] | libsystemd-journal-dev [linux-any],
  liburcu-dev (>= 0.4),
  pkg-config,
  protobuf-c-compiler,
  python3-yaml <!nocheck>,
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://www.knot-dns.cz/
 Vcs-Browser: https://salsa.debian.org/dns-team/knot-dns
 Vcs-Git: https://salsa.debian.org/dns-team/knot-dns.git
