=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 export DPKG_GENSYMBOLS_CHECK_LEVEL := 4
+export KNOT_SOFTHSM2_DSO = /usr/lib/softhsm/libsofthsm2.so
 
 ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),riscv64))
   export DEB_LDFLAGS_MAINT_APPEND += -latomic
