=== debian/tests/control ===
Tests: kdig
Depends: knot-dnsutils, ca-certificates

Tests: authoritative-server
Depends: knot, knot-dnsutils, findutils, python3-lmdb, python3-yaml
