## knot 2.7.8

=== debian/changelog ===
knot (2.7.8-1) unstable; urgency=medium

  * New upstream version 2.7.8

  [ Daniel Salzman ]
  * Remove resolved lintian-overrides
  * Don't require libcap-ng-dev on kfreebsd-i386, kfreebsd-amd64, and
    hurd-i386
  * Update copyright (Closes: #925905)
  * Fix typo in copyright
  * Don't include pdf to doc package
  * Fix unsafe usage of yaml.load() (Closes: #933917)

  [ Diederik de Haas ]
  * Remove knslookup from description as it is not provided.

  [ Santiago Ruano Rincón ]
  * Revert changes about excluding pdf files in distro/deb/rules, moving
    them to debian/rules (Closes: #933285)

  [ Robert Edmonds ]
  * debian/gbp.conf: Set "upstream-branch = upstream/2.7"
  * debian/gbp.conf: [import-orig] Also filter config.guess, config.sub
  * debian/patches/0003-correct-kdig-documentation-about-no-crypto.patch:
    Remove, applied upstream
  * debian/control: Add myself to Uploaders
  * debian/control: Bump Standards-Version to 4.5.0 (no changes)
  * debian/copyright: Fix path to src/libdnssec/contrib/vpool/ files

 -- Robert Edmonds <edmonds@debian.org>  Fri, 24 Jan 2020 19:48:01 -0500
