=== debian/control ===
--- 
+++ 
@@ -6,18 +6,13 @@
  Ondřej Surý <ondrej@debian.org>,
  Daniel Salzman <daniel.salzman@nic.cz>,
  Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
+ Robert Edmonds <edmonds@debian.org>
 Build-Depends-Indep:
- ghostscript,
  python3-sphinx,
  texinfo,
- texlive,
- texlive-font-utils,
- texlive-generic-extra,
- texlive-latex-extra,
 Build-Depends:
  debhelper (>= 11~),
- latexmk,
- libcap-ng-dev,
+ libcap-ng-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
  libedit-dev,
  libfstrm-dev,
  libgnutls28-dev,
@@ -32,7 +27,7 @@
  pkg-config,
  protobuf-c-compiler,
  python3-yaml <!nocheck>,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://www.knot-dns.cz/
 Vcs-Browser: https://salsa.debian.org/dns-team/knot-dns
 Vcs-Git: https://salsa.debian.org/dns-team/knot-dns.git
@@ -168,7 +163,7 @@
  libzscanner2 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
-Description: Clients provided with Knot DNS (kdig, knslookup, knsupdate)
+Description: Clients provided with Knot DNS (kdig, knsupdate)
  Knot DNS is a fast, authoritative only, high performance, feature
  full and open source name server.
  .
