=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	  --disable-silent-rules
 
 override_dh_auto_build-indep:
-	dh_auto_build -- info pdf html
+	dh_auto_build -- info html
 
 override_dh_auto_install-arch:
 	dh_auto_install -- install
@@ -65,7 +65,7 @@
 	mv $(CURDIR)/debian/tmp/etc/knot/knot.sample.conf $(CURDIR)/debian/tmp/etc/knot/knot.conf
 
 override_dh_auto_install-indep:
-	dh_auto_install -- install-info install-pdf install-html
+	dh_auto_install -- install-info install-html
 	# rename knot.sample.conf to knot.conf
 	mv $(CURDIR)/debian/tmp/etc/knot/knot.sample.conf $(CURDIR)/debian/tmp/etc/knot/knot.conf
