## knot 2.9.5

=== debian/changelog ===
knot (2.9.5-1ubuntu1) groovy; urgency=medium

  * d/t/control, d/t/kdig:
    - skip test if we don't have internet access

 -- Dan Streetman <ddstreet@canonical.com>  Fri, 03 Jul 2020 17:51:20 -0400

knot (2.9.5-1) unstable; urgency=medium

  * New upstream version 2.9.5 (Closes: #961075)

 -- Robert Edmonds <edmonds@debian.org>  Mon, 25 May 2020 23:16:17 -0400

knot (2.9.3-1) unstable; urgency=medium

  * new upstream version

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 05 Mar 2020 18:22:48 -0500

knot (2.9.2-5) unstable; urgency=medium

  * move Vcs-Git back to debian/master, since we are not in experimental
    any more
  * wrap-and-sort -ast
  * move kzonecheck into knot-dnsutils (Closes: #925035)
  * drop unnecessary empty plugin directory (fixed upstream)
  * debhelper: bump to dh 12
  * include ${misc:Pre-Depends} for knot, to resolve
    skip-systemd-native-flag-missing-pre-depends
  * clean up .pybuild/ as well
  * drop dbgsym migration

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 28 Feb 2020 17:53:33 -0500

knot (2.9.2-4) unstable; urgency=medium

  [ Robert Edmonds ]
  * debian/control: Add ">= 5.1" version for python3-yaml build dependency (Closes: #949931)

  [ Ondřej Surý ]
  * Upload to unstable

 -- Ondřej Surý <ondrej@debian.org>  Fri, 21 Feb 2020 11:51:46 +0100

knot (2.9.2-3) experimental; urgency=medium

  * debian/rules: Run pybuild's configure step in
    override_dh_auto_configure-indep

 -- Robert Edmonds <edmonds@debian.org>  Sun, 26 Jan 2020 16:31:16 -0500

knot (2.9.2-2) experimental; urgency=medium

  * Build a python3-libknot package containing the libknot Python bindings
    (Closes: #913701)

 -- Robert Edmonds <edmonds@debian.org>  Sat, 25 Jan 2020 15:51:36 -0500

knot (2.9.2-1) experimental; urgency=medium

  * New upstream version 2.9.2

  [ Daniel Kahn Gillmor ]
  * d/control, d/gbp.conf: pointing to DEP-14 debian/experimental branch
    (revert before releasing to unstable!)

  [ Robert Edmonds ]
  * debian/gbp.conf: Set "upstream-branch = upstream/2.9"
  * debian/patches/0002-zonefile-Verify-mtime-against-full-precision-
    timesta.patch: Remove, applied upstream
  * Bump SONAMEs: libknot10, libdnssec7, libzscanner3
  * debian/control: Drop Replaces/Breaks on knot-libs (<< 2.0.1-4)
  * debian/control: Drop obsolete Replaces/Breaks on old library packages
  * debian/rules: Set environment variable KNOT_VERSION_FORMAT=release
  * debian/patches/0001-avoid-git-version-inclusion-in-debian-
    packages.patch: Remove
  * debian/*.symbols: Update symbol files for added/removed symbols in new
    library SONAMEs
  * debian/*.symbols: Bump minimum versions to 2.9.2 for all symbols
  * debian/copyright: Fix path to src/contrib/vpool/* files
  * debian/knot-doc.doc-base: Remove PDF registration

 -- Robert Edmonds <edmonds@debian.org>  Fri, 24 Jan 2020 22:36:09 -0500
