=== debian/control ===
--- 
+++ 
@@ -6,12 +6,14 @@
  Ondřej Surý <ondrej@debian.org>,
  Daniel Salzman <daniel.salzman@nic.cz>,
  Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
- Robert Edmonds <edmonds@debian.org>
+ Robert Edmonds <edmonds@debian.org>,
 Build-Depends-Indep:
+ python3-setuptools,
  python3-sphinx,
  texinfo,
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 12),
+ dh-python,
  libcap-ng-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
  libedit-dev,
  libfstrm-dev,
@@ -26,7 +28,8 @@
  liburcu-dev (>= 0.4),
  pkg-config,
  protobuf-c-compiler,
- python3-yaml <!nocheck>,
+ python3-all,
+ python3-yaml (>= 5.1) <!nocheck>,
 Standards-Version: 4.5.0
 Homepage: https://www.knot-dns.cz/
 Vcs-Browser: https://salsa.debian.org/dns-team/knot-dns
@@ -37,14 +40,18 @@
 Architecture: any
 Depends:
  adduser,
- libdnssec6 (= ${binary:Version}),
- libknot8 (= ${binary:Version}),
- libzscanner2 (= ${binary:Version}),
+ libdnssec7 (= ${binary:Version}),
+ libknot10 (= ${binary:Version}),
+ libzscanner3 (= ${binary:Version}),
  lsb-base (>= 3.0-6),
  python3,
  python3-yaml,
  ${misc:Depends},
  ${shlibs:Depends},
+Pre-Depends:
+ ${misc:Pre-Depends},
+Breaks:
+ knot-dnsutils (<< 2.9.2-5),
 Recommends:
  python3-lmdb,
 Suggests:
@@ -57,19 +64,13 @@
  registry and hence is well suited to run anything from the root
  zone, the top-level domain, to many smaller standard domain names.
 
-Package: libknot8
+Package: libknot10
 Architecture: any
 Multi-Arch: same
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
 Section: libs
-Replaces:
- knot-libs (<< 2.0.1-4),
- libknot6 (<< 2.6.1-1~),
-Breaks:
- knot-libs (<< 2.0.1-4),
- libknot6 (<< 2.6.1-1~),
 Description: Authoritative domain name server (shared library)
  Knot DNS is a fast, authoritative only, high performance, feature
  full and open source name server.
@@ -81,19 +82,13 @@
  This package provides libknot shared library used by Knot DNS and
  Knot Resolver.
 
-Package: libzscanner2
+Package: libzscanner3
 Architecture: any
 Multi-Arch: same
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
 Section: libs
-Replaces:
- knot-libs (<< 2.0.1-4),
- libzscanner0 (<< 2.3.0~),
-Breaks:
- knot-libs (<< 2.0.1-4),
- libzscanner0 (<< 2.3.0~),
 Description: DNS zone-parsing library from Knot
  Knot DNS is a fast, authoritative only, high performance, feature
  full and open source name server.
@@ -105,19 +100,13 @@
  This package provides a fast zone parser shared library used by Knot
  DNS and Knot Resolver.
 
-Package: libdnssec6
+Package: libdnssec7
 Architecture: any
 Multi-Arch: same
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
 Section: libs
-Replaces:
- knot-libs (<< 2.0.1-4),
- libdnssec4 (<< 2.6.1-1~),
-Breaks:
- knot-libs (<< 2.0.1-4),
- libdnssec4 (<< 2.6.1-1~),
 Description: DNSSEC shared library from Knot
  Knot DNS is a fast, authoritative only, high performance, feature
  full and open source name server.
@@ -133,17 +122,13 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libdnssec6 (= ${binary:Version}),
+ libdnssec7 (= ${binary:Version}),
  libgnutls28-dev,
- libknot8 (= ${binary:Version}),
- libzscanner2 (= ${binary:Version}),
+ libknot10 (= ${binary:Version}),
+ libzscanner3 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Section: libdevel
-Replaces:
- knot-libs (<< 2.0.1-4),
-Breaks:
- knot-libs (<< 2.0.1-4),
 Description: Knot DNS shared library development files
  Knot DNS is a fast, authoritative only, high performance, feature
  full and open source name server.
@@ -158,12 +143,16 @@
 Package: knot-dnsutils
 Architecture: any
 Depends:
- libdnssec6 (= ${binary:Version}),
- libknot8 (= ${binary:Version}),
- libzscanner2 (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends},
-Description: Clients provided with Knot DNS (kdig, knsupdate)
+ libdnssec7 (= ${binary:Version}),
+ libknot10 (= ${binary:Version}),
+ libzscanner3 (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Breaks:
+ knot (<< 2.9.2-5),
+Replaces:
+ knot (<< 2.9.2-5),
+Description: Clients provided with Knot DNS (kdig, knsupdate, kzonecheck)
  Knot DNS is a fast, authoritative only, high performance, feature
  full and open source name server.
  .
@@ -176,6 +165,7 @@
  .
   - kdig - query the DNS in various ways
   - knsupdate - perform dynamic updates (See RFC2136)
+  - kzonecheck - zone check tool
  .
  Those clients were designed to be 1:1 compatible with BIND dnsutils,
  but they provide some enhancements, which are documented in respective
@@ -186,9 +176,9 @@
 Package: knot-host
 Architecture: any
 Depends:
- libdnssec6 (= ${binary:Version}),
- libknot8 (= ${binary:Version}),
- libzscanner2 (= ${binary:Version}),
+ libdnssec7 (= ${binary:Version}),
+ libknot10 (= ${binary:Version}),
+ libzscanner3 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: Version of 'host' bundled with Knot DNS
@@ -221,3 +211,19 @@
  .
  This package provides various documents that are useful for
  maintaining a working Knot DNS installation.
+
+Package: python3-libknot
+Architecture: all
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+Section: python
+Description: Python bindings for libknot
+ Knot DNS is a fast, authoritative only, high performance, feature
+ full and open source name server.
+ .
+ Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
+ registry and hence is well suited to run anything from the root
+ zone, the top-level domain, to many smaller standard domain names.
+ .
+ This package provides Python bindings for the libknot shared library.
