=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 
 export DPKG_GENSYMBOLS_CHECK_LEVEL := 4
 export KNOT_SOFTHSM2_DSO = /usr/lib/softhsm/libsofthsm2.so
+export KNOT_VERSION_FORMAT = release
 
 ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),riscv64))
   export DEB_LDFLAGS_MAINT_APPEND += -latomic
@@ -31,10 +32,12 @@
   RUN_TEST := -timeout --kill-after=5s 5m
 endif
 
+PYBUILD = pybuild --dir python --dest-dir debian/python3-libknot
+
 %:
 	dh $@ \
-	 --dbgsym-migration='knot-dbg (<< 2.2.0-2~)' \
-	 --exclude=.la --exclude=example.com.zone
+	 --exclude=.la --exclude=example.com.zone \
+	 --with python3
 
 override_dh_auto_configure:
 	echo confirming architecture...
@@ -56,8 +59,12 @@
 	  $(FASTPARSER) \
 	  --disable-silent-rules
 
+override_dh_auto_configure-indep:
+	$(PYBUILD) --configure
+
 override_dh_auto_build-indep:
 	dh_auto_build -- info html
+	$(PYBUILD) --build
 
 override_dh_auto_install-arch:
 	dh_auto_install -- install
@@ -68,6 +75,7 @@
 	dh_auto_install -- install-info install-html
 	# rename knot.sample.conf to knot.conf
 	mv $(CURDIR)/debian/tmp/etc/knot/knot.sample.conf $(CURDIR)/debian/tmp/etc/knot/knot.conf
+	$(PYBUILD) --install
 
 override_dh_auto_test-indep:
 override_dh_auto_test-arch:
@@ -78,10 +86,6 @@
 	[ $$(debian/get_user samples/knot.sample.conf) = knot ]
 endif
 
-override_dh_installdirs-arch:
-	dh_installdirs --arch --package=knot /usr/lib/$(DEB_HOST_MULTIARCH)/knot
-	dh_installdirs --arch --remaining-packages
-
 override_dh_missing:
 	dh_missing --fail-missing
