## knot 3.0.4

=== debian/changelog ===
knot (3.0.4-2ubuntu1) hirsute; urgency=medium

  * Restore Dan Streetman's patch from 2.9.5-1ubuntu1 to skip the kdig test if
    we don't have internet access. Appears to still be necessary.

 -- Logan Rosen <logan@ubuntu.com>  Fri, 05 Feb 2021 21:15:29 -0500

knot (3.0.4-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload to allow migration.

 -- Santiago Ruano Rincón <santiago@debian.org>  Thu, 04 Feb 2021 10:40:06 +0100

knot (3.0.4-1) unstable; urgency=medium

  * new upstream version 3.0.4
    - Fix segfault when generating new DNSSEC keys on duplicated zones
      (Closes: #977101)
  * move dnstap module to subpackage
  * move geoip module to subpackage

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Thu, 21 Jan 2021 15:51:41 +0000

knot (3.0.3-1) unstable; urgency=medium

  [ Jakub Ružička ]
  * new upstream version 3.0.3
  * d/patches: remove makefile patch included upstream

  [ Daniel Salzman ]
  * Improve XDP mode activation

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Tue, 15 Dec 2020 07:08:10 -0500

knot (3.0.2-3) unstable; urgency=medium

  * Team upload.
  * Disable xdp on armel. Create d/libknot11.symbols.armel accordingly.
  * Disable fastparser on sh4.
  * Add d/patches/0001-xdp-rework-Makefile.am-to-avoid-make-distcheck-issue.patch
    (Closes: #973815)
  * Remove build-deps not available on hurd and kfreebsds: libbpf-dev,
    libelf-dev linux-libc-dev. Create symbols files accordingly.

 -- Santiago Ruano Rincón <santiago@debian.org>  Thu, 10 Dec 2020 21:59:10 +0100

knot (3.0.2-2) unstable; urgency=low

  * Team upload.
  * Add debian/salsa-ci.yml.
  * d/tests/kdig: Add a fallback option to query on port 443 when 853 is
    unreachable.
  * Bump Standards-Version to 4.5.1. No changes needed
  * Bump d/watch version to 4. No changes needed, but makes lintian happier
  * Bump debhelper-compat to 13

 -- Santiago Ruano Rincón <santiago@debian.org>  Mon, 07 Dec 2020 16:00:37 +0100

knot (3.0.2-1) experimental; urgency=medium

  * New upstream version 3.0.2
  * debian/libknot11.symbols: add 2 new symbols

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Thu, 12 Nov 2020 09:46:41 -0500

knot (3.0.1-1) experimental; urgency=medium

  * New upstream version 3.0.1
  * Bump SONAMEs: libknot11, libdnssec8
  * debian/*.symbols: update symbols
  * debian/*.install: add new files
  * debian/docs: README is now README.md
  * debian/knot.service: update from upstream
  * debian/copyright: remove obsolete lmdb entry
  * debian/control: update knot-dnsutils description
  * debian/control: add build deps for XDP support
  * debian/control: add build dep for DoH support
  * debian/control: add myself to Uploaders
  * debian/gbp.conf: use new upstream/3.0 branch
  * debian/gbp.conf: use debian/experimental branch

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Thu, 22 Oct 2020 08:56:49 -0400

knot (2.9.6-1) unstable; urgency=medium

  * New upstream version 2.9.6

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Tue, 01 Sep 2020 16:30:41 +0200
