## knot 3.0.5

=== debian/changelog ===
knot (3.0.5-1+deb11u1) bullseye; urgency=medium

  [ Daniel Gröber ]
  * d/patches: Add patch fixing IXFR to AXFR fallback with dnsmasq (Closes: #995576)

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Mon, 22 Aug 2022 11:49:35 +0000

knot (3.0.5-1) unstable; urgency=medium

  * new upstream version 3.0.5

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Thu, 25 Mar 2021 13:37:00 +0100
