=== debian/control ===
--- 
+++ 
@@ -7,30 +7,35 @@
  Daniel Salzman <daniel.salzman@nic.cz>,
  Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
  Robert Edmonds <edmonds@debian.org>,
+ Jakub Ružička <jakub.ruzicka@nic.cz>,
 Build-Depends-Indep:
  python3-setuptools,
  python3-sphinx,
  texinfo,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
+ libbpf-dev [!armel !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
  libcap-ng-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
  libedit-dev,
+ libelf-dev [!armel !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
  libfstrm-dev,
  libgnutls28-dev,
  libidn2-dev,
  liblmdb-dev,
  libmaxminddb-dev,
+ libnghttp2-dev,
  libprotobuf-c-dev,
  libsofthsm2 <!nocheck>,
  libsystemd-dev [linux-any] | libsystemd-daemon-dev [linux-any],
  libsystemd-dev [linux-any] | libsystemd-journal-dev [linux-any],
  liburcu-dev (>= 0.4),
+ linux-libc-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
  pkg-config,
  protobuf-c-compiler,
  python3-all,
  python3-yaml (>= 5.1) <!nocheck>,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://www.knot-dns.cz/
 Vcs-Browser: https://salsa.debian.org/dns-team/knot-dns
 Vcs-Git: https://salsa.debian.org/dns-team/knot-dns.git
@@ -40,8 +45,8 @@
 Architecture: any
 Depends:
  adduser,
- libdnssec7 (= ${binary:Version}),
- libknot10 (= ${binary:Version}),
+ libdnssec8 (= ${binary:Version}),
+ libknot11 (= ${binary:Version}),
  libzscanner3 (= ${binary:Version}),
  lsb-base (>= 3.0-6),
  python3,
@@ -64,7 +69,7 @@
  registry and hence is well suited to run anything from the root
  zone, the top-level domain, to many smaller standard domain names.
 
-Package: libknot10
+Package: libknot11
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -100,7 +105,7 @@
  This package provides a fast zone parser shared library used by Knot
  DNS and Knot Resolver.
 
-Package: libdnssec7
+Package: libdnssec8
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -122,9 +127,9 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libdnssec7 (= ${binary:Version}),
+ libdnssec8 (= ${binary:Version}),
  libgnutls28-dev,
- libknot10 (= ${binary:Version}),
+ libknot11 (= ${binary:Version}),
  libzscanner3 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
@@ -143,8 +148,8 @@
 Package: knot-dnsutils
 Architecture: any
 Depends:
- libdnssec7 (= ${binary:Version}),
- libknot10 (= ${binary:Version}),
+ libdnssec8 (= ${binary:Version}),
+ libknot11 (= ${binary:Version}),
  libzscanner3 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
@@ -163,8 +168,9 @@
  This package delivers various client programs related to DNS that are
  derived from the Knot DNS source tree.
  .
-  - kdig - query the DNS in various ways
+  - kdig - query a DNS server in various ways
   - knsupdate - perform dynamic updates (See RFC2136)
+  - kxdpgun - send a DNS query stream over UDP to a DNS server
   - kzonecheck - zone check tool
  .
  Those clients were designed to be 1:1 compatible with BIND dnsutils,
@@ -176,8 +182,8 @@
 Package: knot-host
 Architecture: any
 Depends:
- libdnssec7 (= ${binary:Version}),
- libknot10 (= ${binary:Version}),
+ libdnssec8 (= ${binary:Version}),
+ libknot11 (= ${binary:Version}),
  libzscanner3 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
@@ -193,6 +199,38 @@
  with the Knot DNS.  The 'host' command is designed to be 1:1
  compatible with BIND 9.x 'host' program.
 
+Package: knot-module-dnstap
+Architecture: any
+Depends:
+ knot (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: dnstap module for Knot DNS
+ Knot DNS is a fast, authoritative only, high performance, feature
+ full and open source name server.
+ .
+ Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
+ registry and hence is well suited to run anything from the root
+ zone, the top-level domain, to many smaller standard domain names.
+ .
+ This package contains dnstap module for logging DNS traffic.
+
+Package: knot-module-geoip
+Architecture: any
+Depends:
+ knot (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: geoip module for Knot DNS
+ Knot DNS is a fast, authoritative only, high performance, feature
+ full and open source name server.
+ .
+ Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
+ registry and hence is well suited to run anything from the root
+ zone, the top-level domain, to many smaller standard domain names.
+ .
+ This package contains geoip module for geography-based responses.
+
 Package: knot-doc
 Architecture: all
 Multi-Arch: foreign
