=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,14 @@
   FASTPARSER := --enable-fastparser
 endif
 
+# To make it build on sh4.
+# See https://buildd.debian.org/status/fetch.php?pkg=knot&arch=sh4&ver=3.0.2-2&stamp=1607372581&raw=0
+ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),sh4))
+  FASTPARSER := --disable-fastparser
+else
+  FASTPARSER := --enable-fastparser
+endif
+
 ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),hurd-i386))
   RECVMMSG:=--enable-recvmmsg=no
 else
@@ -31,6 +39,9 @@
 else
   RUN_TEST := -timeout --kill-after=5s 5m
 endif
+
+# MAJOR.MINOR version part
+BASE_VERSION := $(shell echo $(DEB_VERSION) | sed 's/^\([^.]\+\.[^.]\+\).*/\1/')
 
 PYBUILD = pybuild --dir python --dest-dir debian/python3-libknot
 
@@ -50,11 +61,12 @@
 	  --localstatedir=/var/lib \
 	  --libexecdir=/usr/lib/knot \
 	  --with-rundir=/run/knot \
-	  --with-moduledir=/usr/lib/$(DEB_HOST_MULTIARCH)/knot \
+	  --with-moduledir=/usr/lib/$(DEB_HOST_MULTIARCH)/knot/modules-$(BASE_VERSION) \
 	  --with-storage=/var/lib/knot \
 	  --enable-systemd=auto \
 	  --enable-dnstap \
-	  --with-module-dnstap=yes \
+	  --with-module-dnstap=shared \
+	  --with-module-geoip=shared \
 	  $(RECVMMSG) \
 	  $(FASTPARSER) \
 	  --disable-silent-rules
@@ -70,6 +82,14 @@
 	dh_auto_install -- install
 	# rename knot.sample.conf to knot.conf
 	mv $(CURDIR)/debian/tmp/etc/knot/knot.sample.conf $(CURDIR)/debian/tmp/etc/knot/knot.conf
+	# Some workarounds where XDP is unavailable
+	@if [ -f "$(CURDIR)/debian/tmp/usr/sbin/kxdpgun" ]; then \
+	  echo "XDP enabled"; \
+	else \
+	  echo "XDP disabled"; \
+	  touch $(CURDIR)/debian/tmp/usr/share/man/man8/kxdpgun.8; \
+	  printf '#!/bin/sh\n\necho "kxdpgun not available"\n' > $(CURDIR)/debian/tmp/usr/sbin/kxdpgun; \
+	fi
 
 override_dh_auto_install-indep:
 	dh_auto_install -- install-info install-html
